From 020c923e6ba251837e25b70d0e64982a11cfd526 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Aug 29 2020 18:34:00 +0000
Subject: [PATCH 716/2232] Less brittle matching of cxx::bridge path


---

diff --git a/gen/src/find.rs b/gen/src/find.rs
index 86e1dc7..d897deb 100644
--- a/gen/src/find.rs
+++ b/gen/src/find.rs
@@ -1,6 +1,5 @@
 use crate::gen::{Error, Input, Result};
 use crate::syntax::namespace::Namespace;
-use quote::quote;
 use syn::{Attribute, File, Item};
 
 pub(super) fn find_bridge_mod(syntax: File) -> Result<Input> {
@@ -14,8 +13,8 @@ fn scan(items: Vec<Item>) -> Result<Option<Input>> {
     for item in items {
         if let Item::Mod(item) = item {
             for attr in &item.attrs {
-                let path = &attr.path;
-                if quote!(#path).to_string() == "cxx :: bridge" {
+                let path = &attr.path.segments;
+                if path.len() == 2 && path[0].ident == "cxx" && path[1].ident == "bridge" {
                     let module = match item.content {
                         Some(module) => module.1,
                         None => {

